> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transactions



## OpenAPI

````yaml openapi.json get /child/transactions
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /child/transactions:
    parameters: []
    get:
      tags:
        - Child Accounts
      summary: Transactions
      parameters:
        - name: childAccountId
          in: query
          required: false
          example: 329053c2-d93e-444f-b424-742f66b3374a
          schema:
            type: integer
        - name: status
          in: query
          required: false
          description: 'Optional: PENDING, SUCCESS, FAILED'
          example: SUCCESS
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: 'Optional: CREDIT, DEBIT'
          example: DEBIT
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"93b-mLOSXDbZqW909Dyo29iDDUw/+i4"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Thu, 07 Mar 2024 10:37:05 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: Transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      totalDebitAmount:
                        type: integer
                      totalCreditAmount:
                        type: integer
                      totalTransactionValue:
                        type: integer
                      totalTransactionVolume:
                        type: integer
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            amount:
                              type: integer
                            charge:
                              type: integer
                            narration:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            customerMetadata:
                              type: object
                              properties:
                                userId:
                                  type: string
              example:
                status: true
                message: Operation is successful
                data:
                  size: 50
                  page: 1
                  totalRecords: 1
                  totalPages: 1
                  totalDebitAmount: 0
                  totalCreditAmount: 1000
                  totalTransactionValue: 1000
                  totalTransactionVolume: 1
                  transactions:
                    - id: ac7054fc-f847-48c0-90ef-769b73f0ca37
                      type: CREDIT
                      status: SUCCESS
                      amount: 1000
                      charge: 0
                      narration: Testing crediting
                      createdAt: '2025-01-04T22:42:47.593Z'
                      customerMetadata:
                        userId: testing123
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````